# [for (x)emacs] -*- coding: iso-8859-1 -*-

Summary: Wnn6 Client Library
Name: Wnn6-SDK
Version: 1.0
Release: 25.XOS.1
License: OMRON Corporation, OMRON Software Co., Ltd.
Group: System Environment/Libraries
URL: http://www.omronsoft.co.jp/SP/pcunix/wnn/
Prereq: fileutils
## Source: ftp://ftp.omronsoft.co.jp/pub/Wnn6/sdk_source/%{name}-sources.tar.gz
Source: %{name}-sources.tar.bz2
Patch0: Wnn6-SDK.config.patch
Patch1: wnn6-sdk_incl.patch
Patch2: wnn6-sdk_shared.patch
Patch3: wnn6-sdk_malloc.patch
Patch4: Wnn6-SDK.static.patch
Patch5: Wnn6-SDK.nonroot.patch
Patch6: wnn6-sdk-cpp_workaround.patch
Patch7: Wnn6-SDK-1.0.patch
Patch8: Wnn6-SDK-1.0-unix-79828.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%package devel
Summary: development library and header file for Wnn6
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains header files and libraries for Wnn6
client developments.

%prep
%setup -q -c
%patch0 -b .orig
cd src/contrib/im/Xsi
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig
%patch3 -p1 -b .orig
%patch4 -p1 -b .orig
%patch5 -p1 -b .orig
%patch6 -p0 -b .orig
cd Wnn/jlib
%patch7 -p0 -b .orig
%patch8 -p7 -b .unix

%build
cd src/contrib/im/Xsi
make World -f Makefile.ini CCOPTIONS=-fPIC %{?_smp_mflags}

%install
%{__rm} -fr ${RPM_BUILD_ROOT}
make install -C src/contrib/im/Xsi DESTDIR=${RPM_BUILD_ROOT} WNNLIBDIR=%{_libdir}

%clean
%{__rm} -fr ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc src/contrib/im/Xsi/README
%{_libdir}/libwnn6.so.1.0.0
%{_libdir}/libwnn6.so.1.0

%files devel
%defattr(-,root,root)
%{_libdir}/libwnn6.a
%{_libdir}/libwnn6.so
%{_includedir}/wnn6/

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.0-25.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on Wnn6-SDK-1.0-25.src.rpm
  (md5sum of original source rpm: 5b89247c980e69421c7b122c877057ae).

* Sun Jan 26 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- remove "exit 0", this does not make sense

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 17 2002 Jens Petersen <petersen@redhat.com> 1.0-23
- build with WNNLIBDIR set to libdir
- add patch to try always unix domain socket before inet socket (#79828)
  [from ynakai@redhat.com]
- don't remove buildroot during prep, do it before install
- don't create install dirs during prep

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.0-22
- add smpflag, use libdir and other spec file cleanup by sopwith
- rebuild

* Fri Jul 05 2002 Jens Petersen <petersen@redhat.com> 1.0-21
- build all object files with -fPIC so that sharlib is PIC (#65970)
- bring back alpha

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.0-20
- automated rebuild

* Wed May 29 2002 Jens Petersen <petersen@redhat.com> 1.0-19
- build with new toolchain
- exclude alpha temporarily

* Thu Feb 21 2002 Jens Petersen <petersen@redhat.com> 1.0-18
- rebuild in new environment

* Wed Jan 30 2002 Jens Petersen <petersen@redhat.com> 1.0-17
- make it build in "Wnn6-SDK-1.0/" not "src/"!

* Mon Jan 28 2002 Jens Petersen <petersen@redhat.com> 1.0-16
- spec file cleaning
- rebuild in new environment

* Wed Jul 25 2001 Tim Powers <timp@redhat.com> 1.0-14
- comment out the broken link in the post script

* Tue Jul 17 2001 SATO Satoru <ssato@redhat.com> 1.0-13
- force to remove/link /var/lib/wnn6 (#35143)
- bzip2-ed source

* Tue Jul 10 2001 Trond Eivind Glomsr,Ax(Bd <teg@redhat.com>
- Make the devel package depend on the main package

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sun Feb 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not create symlink if it already exists (why is this symlink
  not part of the normal filelist?)

* Tue Feb  6 2001 Adrian Havill <havill@redhat.com>
- spec file needs fileutils prerequisite

* Sun Jan 28 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add a "exit 0" to the post script

* Tue Dec 19 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Thu Aug  3 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt for 7.0
- make depend dones not work correctly(Is this cpp bug?),
  So, add wnn6-sdk-cpp_workaround.patch added (very ad-hoc
  solution :-<)
 
* Tue Mar 21 2000 Chris Ding <cding@redhat.com>
- added %defattr
- /var/lib/wnn6 -> /usr/local/OMRONWnn6/wnn6linux
- changed group

* Tue Oct 12 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1
- removed test to see if building as root - we never want to chown

* Sat Jun 26 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 2nd Release for i386 (glibc2.1).
- Original Packager: Atsushi Yamagata <yamagata@plathome.co.jp>

* Wed Jan 27 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- change installed directories and name of the library
- added Prefix tag

* Mon Nov 10 1998 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- 1st release
